Bug 12472 - No debugging possible in Drosera
Summary: No debugging possible in Drosera
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 12555
  Show dependency treegraph
 
Reported: 2007-01-30 03:41 PST by Rene v Amerongen
Modified: 2008-05-17 09:56 PDT (History)
0 users

See Also:


Attachments
to show that there are only two line numbers in the code view (10.21 KB, image/tiff)
2007-01-30 03:42 PST, Rene v Amerongen
no flags Details
a code file to show that I dont have any line numbers > 2 (5.88 KB, text/plain)
2007-01-30 04:23 PST, Rene v Amerongen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene v Amerongen 2007-01-30 03:41:16 PST
On the left side of the code view I see only two line numbers ( see image ).
Because of this I cant select a line for to set a break point.
Not sure if it is related, but after double click code scrolls down to the end and there  comes a floating view under the code, but not at the place where I clicked.
Comment 1 Rene v Amerongen 2007-01-30 03:42:56 PST
Created attachment 12784 [details]
to show that there are only two line numbers in the code view
Comment 2 David Kilzer (:ddkilzer) 2007-01-30 04:06:09 PST
(In reply to comment #1)
> Created an attachment (id=12784) [edit]
> to show that there are only two line numbers in the code view

Is there any JavaScript on the page?  Drosera is only able to break (stop execution) in JavaScript, not on HTML tags.

Could you give an example URL where this is happening, or attach a test case to this bug?  Thanks!

Comment 3 Rene v Amerongen 2007-01-30 04:23:12 PST
Created attachment 12787 [details]
a code file to show that I dont have any line numbers > 2

Dont look to much at the code because there will be bugs in here because I did start this morning to make a few test cases about replaceChild, that, if  traversing the dom nodes and then want to replace a node with replaceChild the new child is lost in the siblings list and traversing stops. BUT, this has nothing to do with drosera's problem, because since after my latest correct working download of 30-dec 2006 of drosera I can't debug anymore.


BTW, if you know my replace child issue, your welcome :-)
Comment 4 David Kilzer (:ddkilzer) 2007-01-30 06:36:44 PST
(In reply to comment #3)
> [...] after my latest correct
> working download of 30-dec 2006 of drosera I can't debug anymore.

There are new builds of Drosera with each WebKit nightly DMG.  Is there a reason you're using such an old version?

http://nightly.webkit.org/
Comment 5 Rene v Amerongen 2007-02-03 01:46:27 PST
Reason for this bug. see bug 12555
Comment 6 Sam Weinig 2007-02-03 07:14:48 PST
The fix for bug 12555 should of fixed this (in fact I tested it and it does fix it).  Rene, if this is not the case, please reopen the bug.
Comment 7 Timothy Hatcher 2008-05-17 09:56:02 PDT
Closing since Drosera has been replaced by the new Web Inspector debugger. Moving to the New Bugs component so the Drosera component can be closed and removed.